package net.sourceforge.phpeclipse.xdebug.php.model;

import org.eclipse.debug.core.DebugException;
import org.w3c.dom.Node;

public class XDebugFloatValue extends XDebugAbstractValue {
	public XDebugFloatValue(XDebugStackFrame variable, Node value) throws DebugException {
		super(variable, value);
	}
	
	public boolean supportsValueModification() {
		return true;
	}

	public void renderValueString(String data) {
		fValueString = data;
	}

	public boolean verifyValue(String expression) {
		try {
			Float.parseFloat(expression);
		} catch (NumberFormatException e) {
			return false;
		}
		return true;
	}
}